"use strict";
//Templates for individual CRUD methods
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTemplate = (modelName) => {
    return `(parent, args, context) => {
        return context.${modelName}.create(args.input, context);
    }`;
};
exports.updateTemplate = (modelName) => {
    return `(parent, args, context) => {
      return context.${modelName}.update(args.input, context);
    }`;
};
exports.deleteTemplate = (modelName) => {
    return `(parent, args, context) => {
      return context.${modelName}.delete(args.input, context);
    }`;
};
exports.findAllTemplate = (modelName) => {
    return `(parent, args, context) => {
      return context.${modelName}.findAll();
    }`;
};
exports.findTemplate = (modelName) => {
    return `(parent, args, context) => {
      return context.${modelName}.findBy(args.fields);
    }`;
};
exports.newSubscriptionTemplate = (modelName) => {
    return `{
      subscribe: (parent, args, context) => {
        return context.${modelName}.subscribeToCreate(args, context);
      }
    }`;
};
exports.updatedSubscriptionTemplate = (modelName) => {
    return `{
      subscribe: (parent, args, context) => {
        return context.${modelName}.subscribeToUpdate(args, context);
      }
    }`;
};
exports.deletedSubscriptionTemplate = (modelName) => {
    return `{
      subscribe: (parent, args, context) => {
        return context.${modelName}.subscribeToDelete(args, context);
      }
    }`;
};
exports.blankResolver = `(parent, args, context) => {
    // Implementation here
}`;
exports.blankSubscription = `{
    subscribe: (parent, args, context) => {
        // Implementation here
    }
}`;
//# sourceMappingURL=resolverTemplates.js.map