"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
function createFolders(path) {
    try {
        if (!fs_1.existsSync(path)) {
            fs_1.mkdirSync(path, { recursive: true });
        }
    }
    catch (err) {
        throw new Error(`Error when creating resolvers folders: ${err}`);
    }
}
function writeResolvers(outputFiles, config) {
    createFolders(config.outputPath);
    fs_1.writeFileSync(`${config.outputPath}/${outputFiles.resolvers.fileName}`, outputFiles.resolvers.output);
    fs_1.writeFileSync(`${config.outputPath}/${outputFiles.context.fileName}`, outputFiles.context.output);
}
exports.writeResolvers = writeResolvers;
//# sourceMappingURL=writeResolvers.js.map